<?php

namespace NicolasF\TreeInlineTest\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \NicolasF\TreeInlineTest\Domain\Model\ContentTest.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class ContentTestTest extends \TYPO3\CMS\Core\Tests\UnitTestCase {
	/**
	 * @var \NicolasF\TreeInlineTest\Domain\Model\ContentTest
	 */
	protected $subject = NULL;

	protected function setUp() {
		$this->subject = new \NicolasF\TreeInlineTest\Domain\Model\ContentTest();
	}

	protected function tearDown() {
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() {
		$this->assertSame(
			'',
			$this->subject->getName()
		);
	}

	/**
	 * @test
	 */
	public function setNameForStringSetsName() {
		$this->subject->setName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'name',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRelationTestReturnsInitialValueForInlineTest() {
		$this->assertEquals(
			NULL,
			$this->subject->getRelationTest()
		);
	}

	/**
	 * @test
	 */
	public function setRelationTestForInlineTestSetsRelationTest() {
		$relationTestFixture = new \NicolasF\TreeInlineTest\Domain\Model\InlineTest();
		$this->subject->setRelationTest($relationTestFixture);

		$this->assertAttributeEquals(
			$relationTestFixture,
			'relationTest',
			$this->subject
		);
	}
}
